package com.cusc.nirvana.user.rnr.fp;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.ComponentScan;

/**
 * Description: 实名前台启动
 * <br />
 * CreateDate 2021-11-09 13:38:16
 *
 * @author yuyi
 **/
@Slf4j
@SpringBootApplication
@MapperScan({"com.cusc.nirvana.**.dao"})
@ComponentScan({"com.cusc", "com.cache.*"})
@EnableDiscoveryClient
public class LocalRnrFpApplication {

    public static void main(String[] args) {
        try {
            ApplicationContext context = SpringApplication.run(LocalRnrFpApplication.class, args);
            String serverPort = context.getEnvironment().getProperty("server.port");
            log.info("启动成功! Swagger2: http://127.0.0.1:" + serverPort + "/swagger-ui.html");
        } catch (Exception ex) {
            log.error("", ex);
        }
    }

}
